gzip.h File Reference

GZIP compression and decompression (RFC 1952) More...

Go to the source code of this file.

## Classes

class | Gzip
| GZIP Compression (RFC 1952) More...
class | Gunzip
| GZIP Decompression (RFC 1952) More...
class | Gunzip::HeaderErr
| Exception thrown when a header decoding error occurs. More...
class | Gunzip::TailErr
| Exception thrown when the tail is too short. More...
class | Gunzip::CrcErr
| Exception thrown when a CRC error occurs. More...
class | Gunzip::LengthErr
| Exception thrown when a length error occurs. More...

## Detailed Description

GZIP compression and decompression (RFC 1952)

Definition in file gzip.h.